{
  "format_version": "1.21.40",
  "minecraft:single_block_feature": {
    "description": {
      "identifier": "mnp_ci:mnp/ci/tree_placer/block_2"
    },
    "places_block": "mnp_ci:palm_log_base",
    "may_attach_to": {
      "top": "mnp_ci:palm_log",
      "auto_rotate": false
    },
    "enforce_placement_rules": false,
    "enforce_survivability_rules": false,
    "may_replace": [
      "minecraft:air"
    ]
  }
}